Subject: Re: [PATCH] p54spi: convert to devicetree

From: Rob Herring <[email-masked]>
Date: Fri, 17 Mar 2023 16:16:21 -0500

On Tue, Mar 14, 2023 at 05:30:56PM +0100, Arnd Bergmann wrote:
> From: Arnd Bergmann <[email-masked]>
> 
> The Prism54 SPI driver hardcodes GPIO numbers and expects users to
> pass them as module parameters, apparently a relic from its life as a
> staging driver. This works because there is only one user, the Nokia
> N8x0 tablet.
> 
> Convert this to the gpio descriptor interface and move the gpio
> line information into devicetree to improve this and simplify the
> code at the same time.
> 
> Signed-off-by: Arnd Bergmann <[email-masked]>
> ---
> As I don't have an N8x0, this is completely untested.
> 
> I listed the driver authors (Johannes and Christian) as the maintainers
> of the binding document, but I don't know if they actually have this
> hardware. It might be better to list someone who is actually using it.
> 
> Among the various chip identifications, I wasn't sure which one to
> use for the compatible string and the name of the binding document.
> I picked st,stlc4560 as that was cited as the version in the N800
> on multiple websites.
> ---
>  .../bindings/net/wireless/st,stlc45xx.yaml    | 64 +++++++++++++++++
>  MAINTAINERS                                   |  1 +
>  arch/arm/boot/dts/omap2.dtsi                  |  4 ++
>  arch/arm/boot/dts/omap2420-n8x0-common.dtsi   | 12 ++++
>  arch/arm/mach-omap2/board-n8x0.c              | 18 -----
>  drivers/net/wireless/intersil/p54/p54spi.c    | 69 +++++++------------
>  drivers/net/wireless/intersil/p54/p54spi.h    |  3 +
>  7 files changed, 109 insertions(+), 62 deletions(-)
>  create mode 100644 Documentation/devicetree/bindings/net/wireless/st,stlc45xx.yaml

Binding looks fine, but I assume you'll split this into at least 3 
patches?

Rob